## boost1.88 1.88.0~beta1

=== libs/iterator/CMakeLists.txt ===
# Copyright 2018 Peter Dimov
# Copyright 2018 Andrey Semashev
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at https://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.20)

project(boost_iterator VERSION "${BOOST_SUPERPROJECT_VERSION}" LANGUAGES CXX)

add_library(boost_iterator INTERFACE)
add_library(Boost::iterator ALIAS boost_iterator)

target_include_directories(boost_iterator INTERFACE include)

target_link_libraries(boost_iterator
    INTERFACE
        Boost::assert
        Boost::concept_check
        Boost::config
        Boost::core
        Boost::detail
        Boost::fusion
        Boost::mpl
        Boost::optional
        Boost::type_traits
        Boost::utility
)

=== libs/unordered/CMakeLists.txt ===
# Generated by `boostdep --cmake unordered`
# Copyright 2020, 2021 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# https://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.8...3.20)

project(boost_unordered VERSION "${BOOST_SUPERPROJECT_VERSION}" LANGUAGES CXX)

add_library(boost_unordered INTERFACE)
add_library(Boost::unordered ALIAS boost_unordered)

target_include_directories(boost_unordered INTERFACE include)

target_link_libraries(boost_unordered
  INTERFACE
    Boost::assert
    Boost::config
    Boost::container_hash
    Boost::core
    Boost::mp11
    Boost::predef
    Boost::throw_exception
)

if(CMAKE_VERSION VERSION_GREATER 3.18 AND CMAKE_GENERATOR MATCHES "Visual Studio")

  file(GLOB_RECURSE boost_unordered_IDEFILES CONFIGURE_DEPENDS include/*.hpp)
  source_group(TREE ${PROJECT_SOURCE_DIR}/include FILES ${boost_unordered_IDEFILES} PREFIX "Header Files")
  list(APPEND boost_unordered_IDEFILES extra/boost_unordered.natvis)
  target_sources(boost_unordered PRIVATE ${boost_unordered_IDEFILES})

endif()

target_compile_features(boost_unordered INTERFACE cxx_std_11)

if(BUILD_TESTING AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/test/CMakeLists.txt")

  add_subdirectory(test)

endif()

=== libs/beast/test/fuzz/CMakeLists.txt ===
#
# Copyright (c) 2023 Alan de Freitas (alandefreitas@gmail.com)
# Copyright (c) 2024 Mohammad Nejati
#
# Distributed under the Boost Software License, Version 1.0.
# https://www.boost.org/LICENSE_1_0.txt
#

# Get number of cores
include(ProcessorCount)
ProcessorCount(PROCESSOR_COUNT)

# Determine total fuzz time per file
file(GLOB BOOST_BEAST_FUZZER_SOURCE_FILES *.cpp)
list(LENGTH BOOST_BEAST_FUZZER_SOURCE_FILES BOOST_BEAST_FUZZER_SOURCE_FILES_COUNT)
set(BOOST_BEAST_FUZZER_TOTAL_TIME_DEFAULT 300)
math(EXPR BOOST_BEAST_FUZZER_TOTAL_TIME_DEFAULT "${BOOST_BEAST_FUZZER_TOTAL_TIME_DEFAULT} / (${PROCESSOR_COUNT} * ${BOOST_BEAST_FUZZER_SOURCE_FILES_COUNT}) + 1")

# Fuzzing options
set(BOOST_BEAST_FUZZER_TOTAL_TIME ${BOOST_BEAST_FUZZER_TOTAL_TIME_DEFAULT} CACHE STRING "Total time for fuzzing")
set(BOOST_BEAST_FUZZER_RSS_LIMIT 8192 CACHE STRING "RSS limit for fuzzing")
set(BOOST_BEAST_FUZZER_TIMEOUT 30 CACHE STRING "Timeout for fuzzing")
set(BOOST_BEAST_FUZZER_MAX_LEN 4000 CACHE STRING "Maximum size of the input")
set(BOOST_BEAST_FUZZER_JOBS ${PROCESSOR_COUNT} CACHE STRING "Number of jobs for fuzzing")
option(BOOST_BEAST_FUZZER_ADD_TO_CTEST "Add fuzzing targets to ctest" OFF)
set(BOOST_BEAST_FUZZER_CORPUS_PATH ${CMAKE_CURRENT_BINARY_DIR}/corpus.tar CACHE STRING "Path to corpus.tar")

# Corpus
set(BOOST_BEAST_FUZZER_SEEDS_PATH ${CMAKE_CURRENT_SOURCE_DIR}/seeds.tar)
set(BOOST_BEAST_FUZZER_SEEDS_DIR ${CMAKE_CURRENT_BINARY_DIR}/seeds)
get_filename_component(BOOST_BEAST_FUZZER_SEEDS_PARENT_DIR ${BOOST_BEAST_FUZZER_SEEDS_DIR} DIRECTORY)
add_custom_target(
    untar_seeds
    COMMAND ${CMAKE_COMMAND} -E echo "Untar fuzz seeds from ${BOOST_BEAST_FUZZER_SEEDS_PATH} to ${BOOST_BEAST_FUZZER_SEEDS_PARENT_DIR}/seeds"
    COMMAND ${CMAKE_COMMAND} -E tar xf ${BOOST_BEAST_FUZZER_SEEDS_PATH}
    WORKING_DIRECTORY ${BOOST_BEAST_FUZZER_SEEDS_PARENT_DIR}
    COMMENT "Unzipping fuzz seeds"
    VERBATIM)
set(BOOST_BEAST_FUZZER_CORPUS_DIR ${CMAKE_CURRENT_BINARY_DIR}/corpus)
set(BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR ${CMAKE_CURRENT_BINARY_DIR}/merged-corpus)
if(EXISTS ${BOOST_BEAST_FUZZER_CORPUS_PATH})
    add_custom_target(
        untar_corpus
        COMMAND ${CMAKE_COMMAND} -E echo "Untar fuzz corpus archive from \"${BOOST_BEAST_FUZZER_CORPUS_PATH}\" to \"${CMAKE_CURRENT_BINARY_DIR}/corpus\""
        COMMAND ${CMAKE_COMMAND} -E tar xf ${BOOST_BEAST_FUZZER_CORPUS_PATH}
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Unzipping fuzz corpus"
        VERBATIM)
else()
    add_custom_target(untar_corpus
        COMMAND ${CMAKE_COMMAND} -E echo "No fuzz corpus archive in ${BOOST_BEAST_FUZZER_CORPUS_PATH}. Create empty fuzz corpus dir \"${BOOST_BEAST_FUZZER_CORPUS_DIR}.\""
        COMMAND ${CMAKE_COMMAND} -E make_directory ${BOOST_BEAST_FUZZER_CORPUS_DIR}
        COMMENT "Creating fuzz corpus directory"
        VERBATIM)
endif()
set_target_properties(untar_corpus untar_seeds PROPERTIES FOLDER "fuzzing")
add_dependencies(untar_corpus untar_seeds)

# Target that runs all fuzz targets
get_filename_component(BOOST_BEAST_FUZZER_CORPUS_PARENT_DIR ${BOOST_BEAST_FUZZER_CORPUS_PATH} DIRECTORY)
add_custom_target(
    boost_beast_fuzz_all
    COMMAND ${CMAKE_COMMAND} -E echo "Archive corpus from \"${BOOST_BEAST_FUZZER_CORPUS_DIR}\" to \"${BOOST_BEAST_FUZZER_CORPUS_PATH}\""
    COMMAND ${CMAKE_COMMAND} -E tar cf ${BOOST_BEAST_FUZZER_CORPUS_PATH} ${BOOST_BEAST_FUZZER_CORPUS_DIR}
    WORKING_DIRECTORY ${BOOST_BEAST_FUZZER_CORPUS_PARENT_DIR}
    VERBATIM)
    set_target_properties(boost_beast_fuzz_all PROPERTIES FOLDER "fuzzing")

# Register a single fuzzer and add as dependency to fuzz target
function(add_boost_beast_fuzzer NAME)
    # Fuzzer executable
    set(SOURCE_FILES ${ARGN})
    add_executable(fuzzer_${NAME} ${SOURCE_FILES})
    source_group("" FILES ${SOURCE_FILES})
    target_link_libraries(fuzzer_${NAME} PRIVATE boost_beast)
    target_compile_options(fuzzer_${NAME} PRIVATE -g -O2 -fsanitize=fuzzer,address,undefined -fno-sanitize-recover=undefined)
    target_link_libraries(fuzzer_${NAME} PRIVATE -fsanitize=fuzzer,address,undefined)
    set_target_properties(fuzzer_${NAME} PROPERTIES FOLDER "fuzzing")

    # Custom target to run fuzzer executable
    add_custom_target(
        fuzz_${NAME}
        ALL
        COMMAND ${CMAKE_COMMAND} -E make_directory ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E echo "Running fuzzer ${NAME} with corpus from ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME} and seeds from ${BOOST_BEAST_FUZZER_SEEDS_DIR}/${NAME}"
        COMMAND
            fuzzer_${NAME}
            -rss_limit_mb=${BOOST_BEAST_FUZZER_RSS_LIMIT}
            -max_total_time=${BOOST_BEAST_FUZZER_TOTAL_TIME}
            -timeout=${BOOST_BEAST_FUZZER_TIMEOUT}
            -max_len=${BOOST_BEAST_FUZZER_MAX_LEN}
            -jobs=${BOOST_BEAST_FUZZER_JOBS}
            ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME}
            ${BOOST_BEAST_FUZZER_SEEDS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E make_directory ${BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E echo "Merging corpus from ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME} to ${BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR}/${NAME}"
        COMMAND
            fuzzer_${NAME}
            -merge=1
            ${BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR}/${NAME}
            ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME}
            ${BOOST_BEAST_FUZZER_SEEDS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E echo "Replacing corpus in ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME} with merged corpus from ${BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR}/${NAME}"
        COMMAND ${CMAKE_COMMAND} -E remove_directory ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E make_directory ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR}/${NAME} ${BOOST_BEAST_FUZZER_CORPUS_DIR}/${NAME}
        COMMAND ${CMAKE_COMMAND} -E remove_directory ${BOOST_BEAST_FUZZER_MERGED_CORPUS_DIR}/${NAME}
        DEPENDS untar_corpus fuzzer_${NAME})
    add_dependencies(fuzz_${NAME} fuzzer_${NAME})
    add_dependencies(boost_beast_fuzz_all fuzz_${NAME})
    set_target_properties(fuzz_${NAME} PROPERTIES FOLDER "UBSAN_OPTIONS=halt_on_error=false")
    set_target_properties(fuzz_${NAME} PROPERTIES FOLDER "fuzzing")
    if (BOOST_BEAST_FUZZER_ADD_TO_CTEST)
        add_test(
            NAME test_fuzz_${NAME}
            COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target fuzz_${NAME})
        add_dependencies(tests test_fuzz_${NAME})
    endif()
endfunction()

# Register all fuzzers
file(GLOB BOOST_BEAST_FUZZER_SOURCE_FILES *.cpp)
source_group("" FILES ${BOOST_BEAST_FUZZER_SOURCE_FILES})
foreach(BOOST_BEAST_FUZZER_SOURCE_FILE ${BOOST_BEAST_FUZZER_SOURCE_FILES})
    file(RELATIVE_PATH BOOST_BEAST_FUZZER_SOURCE_FILE ${CMAKE_CURRENT_SOURCE_DIR} ${BOOST_BEAST_FUZZER_SOURCE_FILE})
    string(REGEX REPLACE "(.*).cpp" "\\1" RULE_NAME ${BOOST_BEAST_FUZZER_SOURCE_FILE})
    add_boost_beast_fuzzer(${RULE_NAME} ${BOOST_BEAST_FUZZER_SOURCE_FILE})
endforeach()

=== libs/compat/test/cmake_subdir_test/CMakeLists.txt ===
# Copyright 2018, 2019, 2023 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(cmake_subdir_test LANGUAGES CXX)

add_subdirectory(../.. boostorg/compat)

add_subdirectory(../../../assert boostorg/assert)
add_subdirectory(../../../config boostorg/config)
add_subdirectory(../../../throw_exception boostorg/throw_exception)

add_executable(quick ../quick.cpp)
target_link_libraries(quick Boost::compat)

enable_testing()
add_test(quick quick)

add_custom_target(check VERBATIM COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure -C $<CONFIG>)

=== libs/graph/test/cmake_subdir_test/CMakeLists.txt ===
# Copyright 2018, 2019, 2021 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(boost_graph_subdir_test LANGUAGES CXX)

if(BOOST_RUNTIME_LINK STREQUAL "static")
  set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
endif()

# Put .dll in the same directory as .exe
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

set(BOOST_INCLUDE_LIBRARIES graph)

add_subdirectory(../../../../ deps/boost EXCLUDE_FROM_ALL)

add_executable(main main.cpp)
target_link_libraries(main Boost::graph)

enable_testing()
add_test(NAME main COMMAND main)

add_custom_target(check VERBATIM COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure --no-tests=error -C $<CONFIG>)

=== libs/mp11/test/cmake_install_test/CMakeLists.txt ===
# Copyright 2018 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(cmake_install_test LANGUAGES CXX)

find_package(boost_mp11 REQUIRED)

add_executable(main main.cpp)
target_link_libraries(main Boost::mp11)

enable_testing()
add_test(NAME main COMMAND main)

add_custom_target(check VERBATIM COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure -C $<CONFIG>)

=== libs/process/test/v1/CMakeLists.txt ===
enable_testing()


add_executable(boost_process_sparring_partner sparring_partner.cpp )
target_link_libraries(boost_process_sparring_partner Boost::process Boost::lambda Boost::program_options Boost::filesystem Boost::iostreams)

add_executable(boost_process_exit_argc exit_argc.cpp)

add_executable(boost_process_sub_launch sub_launcher.cpp)
target_link_libraries(boost_process_sub_launch Boost::process Boost::program_options Boost::filesystem Boost::iostreams Boost::system)

function(process_standalone_test name )
    add_executable(boost_process_${name} ${name}.cpp)
    target_link_libraries(boost_process_${name} Boost::process Boost::system Boost::filesystem Boost::unit_test_framework)
    add_test(NAME boost_process_${name} COMMAND $<TARGET_FILE:boost_process_${name}> )
endfunction()

process_standalone_test(environment)
process_standalone_test(async_pipe)
process_standalone_test(pipe)

function(process_sub_launch_test name )
    add_executable(boost_process_${name} ${name}.cpp)
    target_link_libraries(boost_process_${name} Boost::process Boost::system Boost::filesystem Boost::scope_exit Boost::thread Boost::unit_test_framework)
    add_test(NAME boost_process_${name} COMMAND $<TARGET_FILE:boost_process_${name}> $<TARGET_FILE:boost_process_sub_launch> )
endfunction()

process_sub_launch_test(group)
process_sub_launch_test(group_wait)

function(process_sparring_partner_launch name )
    add_executable(boost_process_${name} ${name}.cpp)
    target_link_libraries(boost_process_${name} Boost::process Boost::system Boost::filesystem Boost::thread Boost::unit_test_framework Boost::program_options)
    add_test(NAME boost_process_${name} COMMAND $<TARGET_FILE:boost_process_${name}> $<TARGET_FILE:boost_process_sparring_partner> )
endfunction()

process_sparring_partner_launch(async)
process_sparring_partner_launch(async_fut)
process_sparring_partner_launch(args_handling)
process_sparring_partner_launch(args_cmd)
process_sparring_partner_launch(wargs_cmd)
process_sparring_partner_launch(bind_stderr)
process_sparring_partner_launch(bind_stdin)
process_sparring_partner_launch(bind_stdin_stdout)
process_sparring_partner_launch(bind_stdout)
process_sparring_partner_launch(bind_stdout_stderr)
process_sparring_partner_launch(pipe_fwd)
process_sparring_partner_launch(cmd_test)
process_sparring_partner_launch(close_stderr)
process_sparring_partner_launch(close_stdin)
process_sparring_partner_launch(close_stdout)
process_sparring_partner_launch(error)
process_sparring_partner_launch(exit_code)
process_sparring_partner_launch(extensions)
process_sparring_partner_launch(env)
process_sparring_partner_launch(limit_fd)
process_sparring_partner_launch(run_exe)
process_sparring_partner_launch(run_exe_path)
process_sparring_partner_launch(search_path)
process_sparring_partner_launch(shell)
process_sparring_partner_launch(shell_path)
process_sparring_partner_launch(system_test1)
process_sparring_partner_launch(system_test2)
process_sparring_partner_launch(spawn)
process_sparring_partner_launch(start_dir)
process_sparring_partner_launch(terminate)
process_sparring_partner_launch(throw_on_error)
process_sparring_partner_launch(wait)
process_sparring_partner_launch(wait_for)
process_sparring_partner_launch(on_exit)
process_sparring_partner_launch(on_exit2)
process_sparring_partner_launch(on_exit3)

if(WIN32)
    process_sparring_partner_launch(windows_specific)
else()
    process_sparring_partner_launch(posix_specific)
endif()

=== tools/cmake/test/endian/CMakeLists.txt ===
# Copyright 2018, 2019, 2023 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# https://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(boost_endian_install_test LANGUAGES CXX)

# test find_package(Boost) instead of find_package(boost_endian)

find_package(Boost 1.82 REQUIRED)

add_executable(main main.cpp)
target_link_libraries(main Boost::boost)

enable_testing()
add_test(NAME main COMMAND main)

add_custom_target(check VERBATIM COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure --no-tests=error -C $<CONFIG>)

=== libs/geometry/index/test/rtree/CMakeLists.txt ===
# Boost.Geometry
# Copyright (c) 2025 Adam Wulkiewicz, Lodz, Poland.
# Copyright (c) 2024, Oracle and/or its affiliates.
# Contributed and/or modified by Vissarion Fysikopoulos, on behalf of Oracle
# Use, modification and distribution is subject to the Boost Software License,
# Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

foreach(item IN ITEMS
    rtree_contains_point
    rtree_epsilon
    rtree_insert_remove
    rtree_intersects_geom
    rtree_move_pack
    rtree_non_cartesian
    rtree_values
    rtree_with_strategies
    #compile-fail rtree_values_invalid
  )
  boost_geometry_add_unit_test("index" ${item})
endforeach()

=== libs/geometry/test/algorithms/relate/CMakeLists.txt ===
# Boost.Geometry
# Copyright (c) 2024 Barend Gehrels, Amsterdam, the Netherlands.
# Use, modification and distribution is subject to the Boost Software License,
# Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# Cartesian
foreach(item IN ITEMS
    relate_const_custom
    relate_areal_areal
    relate_linear_areal
    relate_linear_linear
    relate_pointlike_geometry
  )
  boost_geometry_add_unit_test("algorithms" ${item})
endforeach()

# Spherical
foreach(item IN ITEMS
    relate_areal_areal_sph
    relate_linear_areal_sph
    relate_linear_linear_sph
  )
  boost_geometry_add_unit_test("algorithms" ${item})
endforeach()

=== libs/beast/example/http/server/async/CMakeLists.txt ===
#
# Copyright (c) 2016-2017 Vinnie Falco (vinnie dot falco at gmail dot com)
# Copyright (c) 2024 Mohammad Nejati
#
# Distributed under the Boost Software License, Version 1.0. (See accompanying
# file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
#
# Official repository: https://github.com/boostorg/beast
#

add_executable(http-server-async
    Jamfile
    http_server_async.cpp)

source_group("" FILES
    Jamfile
    http_server_async.cpp)

target_link_libraries(http-server-async PRIVATE Boost::beast)

set_target_properties(http-server-async
    PROPERTIES FOLDER "example-http-server")

=== debian/changelog ===
boost1.88 (1.88.0~beta1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Apr 2025 12:07:40 +0200

boost1.88 (1.88.0~beta1-1) unstable; urgency=medium

  * [df53d4e] Disable boost.stacktrace.from_exception on some archs.
              (Closes: #1102107)
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Apr 2025 15:27:52 +0200

boost1.88 (1.88.0~beta1-1~exp1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Apr 2025 10:50:59 +0200

boost1.88 (1.88.0~beta1-1~exp1) experimental; urgency=medium

  * [9291fb5] Update patches for 1.88
  * [9738360] Update d/copyright
  * [1a78c7b] Update d/control, d/rules for new version

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Apr 2025 20:07:45 +0200

boost1.83 (1.83.0-4.2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Mar 2025 14:26:18 +0100

boost1.83 (1.83.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Another fix for numpy 2.0. Closes: #1099671.
    - Compare pointers directly instead of using PyArray_EquivTypes
  * Enable context library on ppc64. Closes: #1071542.
  * Use static const for next/prior from C++17. Closes: #1093824.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Mar 2025 14:04:56 +0100

boost1.83 (1.83.0-4.1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:55:46 +0000

boost1.83 (1.83.0-4.1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Feb 2025 17:07:26 +0100

boost1.83 (1.83.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with NumPy 2.x. Closes: #1094654.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Feb 2025 16:45:31 +0100

boost1.83 (1.83.0-4ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:29:18 +0100

boost1.83 (1.83.0-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 18:46:02 +0100

boost1.83 (1.83.0-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Add hurd-amd64 for context, coroutine, fiber packages.
  * [a2dab5e] control: Add hurd-amd64 for context, coroutine, fiber packages.

  [ Heinrich Schuchardt ]
  * [62a479e] Fix autopkgtests fail on armhf. (Closes: #1079106)

  [ Anton Gladky ]
  * [49b0d7f] Update the minimal cmake version for autopkgtest to 3.18.
              (Closes: #1087853)

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Dec 2024 20:39:34 +0100

boost1.83 (1.83.0-3.2ubuntu4) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:58 +0100

boost1.83 (1.83.0-3.2ubuntu3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:57 +0100

boost1.83 (1.83.0-3.2ubuntu2) oracular; urgency=medium

  [ Heinrich Schuchardt ]
  * Disable OpenMPI related tests on armhf (LP: #2076225)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2024 00:10:13 +0200

boost1.83 (1.83.0-3.2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2024 20:15:17 +0200

boost1.83 (1.83.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Additional workaround for broken architecture detection under x32
    (Closes: #1079358)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Aug 2024 14:09:24 +0200

boost1.83 (1.83.0-3.1ubuntu2) oracular; urgency=medium

  * Disable OpenMPI related tests on armhf (LP: #2076225)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 12 Aug 2024 09:57:42 +0200

boost1.83 (1.83.0-3.1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.
    - Apply distro CXXFLAGS when boostrapping b2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Aug 2024 13:09:23 +0200

boost1.83 (1.83.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Boost.Signals2 causes FTBFS", cherry-picking upstream patch
   (Closes: #1056100)
  * Fix "autopkgtest regression with CMake 3.30+", enforcing the new CMP0167
    policy. (Closes: #1076426)

 -- Tobias Frost <tobi@debian.org>  Tue, 30 Jul 2024 09:09:13 +0200

boost1.83 (1.83.0-3ubuntu2) oracular; urgency=medium

  * Apply distro CXXFLAGS when boostrapping b2 (LP: #2073861)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 23 Jul 2024 11:08:40 +0200

boost1.83 (1.83.0-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 May 2024 08:02:39 +0200

boost1.83 (1.83.0-3) unstable; urgency=medium

  * [4b317f3] Add upstream fix for dogecoin. (Closes: #1059133)

 -- Anton Gladky <gladk@debian.org>  Mon, 27 May 2024 06:59:36 +0200

boost1.83 (1.83.0-2.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:23:37 +0000



=== debian/control ===
Source: boost1.88
Homepage: https://www.boost.org/
Section: libs
Priority: optional
Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
Uploaders:
 Giovanni Mascellani <gio@debian.org>,
 Anton Gladky <gladk@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), dpkg-dev (>= 1.16.1~), dctrl-tools, chrpath,
 zlib1g-dev, libbz2-dev, liblzma-dev, libzstd-dev, libicu-dev (>= 63.1), mpi-default-dev [!i386],
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen,
 docbook-xsl, docbook-xml, texlive-latex-base, ghostscript,
 dh-python,
 g++ (>= 4:5-0),
 python3, python3-all-dev (>= 3.1), python3-numpy [!i386]
Build-Depends-Indep: graphviz
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: https://salsa.debian.org/debian/boost
Vcs-Git: https://salsa.debian.org/debian/boost.git
Standards-Version: 4.6.2

Package: libboost1.88-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++-${gxx:major}-dev
Suggests: libboost1.88-doc,
 libboost-atomic1.88-dev,
 libboost-chrono1.88-dev,
 libboost-container1.88-dev [!i386],
 libboost-context1.88-dev [hurd-i386 kfreebsd-i386 amd64 hurd-amd64 kfreebsd-amd64 armel armhf arm64 loong64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-contract1.88-dev [!i386],
 libboost-coroutine1.88-dev [hurd-i386 kfreebsd-i386 amd64 hurd-amd64 kfreebsd-amd64 armel armhf arm64 loong64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-date-time1.88-dev,
 libboost-exception1.88-dev [!i386],
 libboost-fiber1.88-dev [hurd-i386 kfreebsd-i386 amd64 hurd-amd64 kfreebsd-amd64 armel armhf arm64 loong64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-filesystem1.88-dev,
 libboost-graph-parallel1.88-dev [!i386],
 libboost-graph1.88-dev [!i386],
 libboost-iostreams1.88-dev,
 libboost-json1.88-dev [!i386],
 libboost-locale1.88-dev [!i386],
 libboost-log1.88-dev [!i386],
 libboost-math1.88-dev [!i386],
 libboost-mpi-python1.88-dev [!i386],
 libboost-mpi1.88-dev [!i386],
 libboost-nowide1.88-dev [!i386],
 libboost-numpy1.88-dev [!i386],
 libboost-program-options1.88-dev,
 libboost-python1.88-dev [!i386],
 libboost-random1.88-dev [!i386],
 libboost-regex1.88-dev,
 libboost-serialization1.88-dev,
 libboost-stacktrace1.88-dev [!i386],
 libboost-system1.88-dev,
 libboost-test1.88-dev,
 libboost-thread1.88-dev,
 libboost-timer1.88-dev [!i386],
 libboost-type-erasure1.88-dev [!i386],
 libboost-url1.88-dev [!i386],
 libboost-wave1.88-dev [!i386],
 libboost1.88-tools-dev [!i386],
 libmpfrc++-dev,
 libntl-dev
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev, libboost1.50-dev, libboost1.52-dev, libboost1.53-dev, libboost1.54-dev, libboost1.55-dev, libboost1.57-dev, libboost1.58-dev, libboost1.60-dev, libboost1.61-dev, libboost1.62-dev, libboost1.63-dev, libboost1.65-dev, libboost1.67-dev, libboost1.70-dev, libboost1.71-dev, libboost1.74-dev, libboost1.80-dev, libboost1.81-dev, libboost1.83-dev
Breaks: libleatherman-dev (<< 1.12.1+dfsg-1.1~)
Replaces: libleatherman-dev (<< 1.12.1+dfsg-1.1~)
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.

Package: libboost1.88-tools-dev
Architecture: amd64 arm64 armhf s390x ppc64el riscv64
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.49-dev, libboost1.53-tools-dev, libboost1.54-tools-dev, libboost1.55-tools-dev, libboost1.57-tools-dev, libboost1.58-tools-dev, libboost1.60-tools-dev, libboost1.61-tools-dev, libboost1.62-tools-dev, libboost1.63-tools-dev, libboost1.65-tools-dev, libboost1.67-tools-dev, libboost1.70-tools-dev, libboost1.71-tools-dev, libboost1.74-tools-dev, libboost1.80-tools-dev, libboost1.81-tools-dev, libboost1.83-tools-dev
Replaces: bjam, boost-build, libboost1.49-dev, libboost1.53-dev, libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.88-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.88-dev,
 libboost1.88-tools-dev [!i386],
 libboost-atomic1.88-dev,
 libboost-chrono1.88-dev,
 libboost-container1.88-dev [!i386],
 libboost-context1.88-dev [hurd-i386 kfreebsd-i386 amd64 hurd-amd64 kfreebsd-amd64 armel armhf arm64 loong64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-coroutine1.88-dev [hurd-i386 kfreebsd-i386 amd64 hurd-amd64 kfreebsd-amd64 armel armhf arm64 loong64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-date-time1.88-dev,
 libboost-exception1.88-dev [!i386],
 libboost-fiber1.88-dev [hurd-i386 kfreebsd-i386 amd64 hurd-amd64 kfreebsd-amd64 armel armhf arm64 loong64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-filesystem1.88-dev,
 libboost-graph-parallel1.88-dev [!i386],
 libboost-graph1.88-dev [!i386],
 libboost-iostreams1.88-dev,
 libboost-json1.88-dev [!i386],
 libboost-locale1.88-dev [!i386],
 libboost-log1.88-dev [!i386],
 libboost-math1.88-dev [!i386],
 libboost-mpi-python1.88-dev [!i386],
 libboost-mpi1.88-dev [!i386],
 libboost-nowide1.88-dev [!i386],
 libboost-numpy1.88-dev [!i386],
 libboost-program-options1.88-dev [!i386],
 libboost-python1.88-dev [!i386],
 libboost-random1.88-dev [!i386],
 libboost-regex1.88-dev,
 libboost-serialization1.88-dev,
 libboost-stacktrace1.88-dev [!i386],
 libboost-system1.88-dev,
 libboost-test1.88-dev,
 libboost-thread1.88-dev,
 libboost-timer1.88-dev [!i386],
 libboost-type-erasure1.88-dev [!i386],
 libboost-url1.88-dev [!i386],
 libboost-wave1.88-dev [!i386]
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This metapackage provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost1.88-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-mathjax
Suggests: libboost1.88-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc, libboost1.50-doc, libboost1.52-doc, libboost1.53-doc, libboost1.54-doc, libboost1.55-doc, libboost1.57-doc, libboost1.58-doc, libboost1.60-doc, libboost1.61-doc, libboost1.62-doc, libboost1.63-doc, libboost1.65-doc, libboost1.67-doc, libboost1.70-doc, libboost1.71-doc, libboost1.74-doc, libboost1.80-doc, libboost1.81-doc, libboost1.83-doc
Description: Boost.org libraries documentation placeholder
 This package originally provided documentation, but has since fallen
 into disrepair and presently provides no documentation.  Please
 use documentation at www.boost.org.

Package: libboost-atomic1.88.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.88-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.88-dev (= ${binary:Version}),
 libboost-atomic1.88.0 (= ${binary:Version})
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev, libboost-atomic1.54-dev, libboost-atomic1.55-dev, libboost-atomic1.57-dev, libboost-atomic1.58-dev, libboost-atomic1.60-dev, libboost-atomic1.61-dev, libboost-atomic1.62-dev, libboost-atomic1.63-dev, libboost-atomic1.65-dev, libboost-atomic1.67-dev, libboost-atomic1.70-dev, libboost-atomic1.71-dev, libboost-atomic1.74-dev, libboost-atomic1.80-dev, libboost-atomic1.81-dev, libboost-atomic1.83-dev

Package: libboost-chrono1.88.0t64
Provides: ${t64:Provides}
Replaces: libboost-chrono1.83.0
Breaks: libboost-chrono1.83.0 (<< ${source:Version})
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_BUILD_ARCH), i386)
boost_libs := atomic chrono date-time filesystem iostreams \
              regex serialization system test thread
JAM_WITHOUT += --without-container --without-contract --without-exception \
               --without-graph --without-graph_parallel \
               --without-locale --without-log --without-math --without-mpi --without-nowide \
               --without-program_options --without-random \
               --without-stacktrace --without-timer --without-type_erasure \
               --without-wave --without-json --without-url
else
# Boost libraries for which we want separate packages
# context is conditionally compiled because it is not supported yet on several architectures
# coroutine, and fiber depend on context, so they are also conditionally compiled
boost_libs := atomic chrono container contract date-time exception filesystem	\
              graph graph-parallel iostreams locale log math mpi	\
              mpi-python nowide program-options python random regex	\
              serialization stacktrace system test thread timer \
              type-erasure wave json url charconv
endif

# these are special cases, where /usr/lib name differs from Boost library name
boost_lib_log := log log_setup
boost_lib_math := math_c99 math_c99f math_tr1 math_tr1f
boost_lib_math_long_double := math_c99l math_tr1l
boost_lib_serialization := serialization wserialization
ifeq ($(DEB_BUILD_ARCH), m68k)
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=962072
boost_lib_stacktrace := stacktrace_noop stacktrace_addr2line stacktrace_basic
else
boost_lib_stacktrace := stacktrace_noop stacktrace_addr2line stacktrace_backtrace stacktrace_basic
endif
boost_lib_test := prg_exec_monitor test_exec_monitor unit_test_framework

pyversions = $(shell py3versions -rv)
pyverids = $(subst .,,$(pyversions))

# These are special cases for suffixes.
boost_suffixes_python := $(pyverids)
boost_suffixes_numpy := $(pyverids)
boost_suffixes_mpi-python := $(pyverids)

# Files that are generated by filtering a template
filtered_files =

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# set the number of build jobs
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOBS := -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

version_full := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
version_upstream := $(shell echo $(version_full) | cut -d'-' -f1 | cut -d '+' -f1 | cut -d'~' -f1)
version_major := $(shell echo $(version_upstream) | cut -d'.' -f1,2)

PKGVERSION = $(version_major)
SOVERSION = $(version_upstream)

icuabi = $(shell apt show libicu-dev 2>/dev/null | sed -n 's/Depends: .*libicu\([0-9]*\) .*/\1/p')
regexicuabi = libboost-regex$(SOVERSION)-icu$(icuabi)

# Function to map Boost component name to set of shared library names
# Input: Boost component name
# Return: shared library names for the given Boost library
boost_lib = $(if $(boost_lib_$(1)), $(boost_lib_$(1)), $(1))

# Function to map Boost component name to set of suffixes for the library
# Input: Boost component name
# Return: suffixes for the given Boost component
boost_suffixes = $(if $(boost_suffixes_$(1)), $(boost_suffixes_$(1)),"")

# Helpers to make basic and decorated library names
# Input: library, suffix
# Return: base library filename for short or full name
mk_base_name = usr/lib/$(DEB_HOST_MULTIARCH)/libboost_$(subst -,_,$(1))$(2)
mk_cmake_name = usr/lib/$(DEB_HOST_MULTIARCH)/cmake/boost_$(subst -,_,$(1))-$(SOVERSION)/

t64_suffix_chrono = t64
# Input: component
# Return: package name for shared library or development
mk_pkg_lib = libboost-$(1)$(SOVERSION)$(t64_suffix_$(1))
mk_pkg_dev = libboost-$(1)$(PKGVERSION)-dev
# Helpers to generate debhelper input filenames.
# Input: component
# Return: prefix to debhelper filenames
mk_deb_lib = debian/$(call mk_pkg_lib,$(1))
mk_deb_dev = debian/$(call mk_pkg_dev,$(1))

# Helpers that update debhelper .install or .links files
# Input: component, library, suffix
# Output: none
mk_so_files = $(shell echo debian/tmp/$(call mk_base_name,$(2),$(3)).so.$(SOVERSION) >> $(call mk_deb_lib,$(1)).install)
mk_a_files = $(shell echo debian/tmp/$(call mk_base_name,$(2),$(3)).a >> $(call mk_deb_dev,$(1)).install)
mk_ln_files = $(shell echo $(call mk_base_name,$(2),$(3)).so.$(SOVERSION) $(call mk_base_name,$(2),$(3)).so >> $(call mk_deb_dev,$(1)).links)
mk_cmake_files = $(shell echo debian/tmp/$(call mk_cmake_name,$(2),$(3)) >> $(call mk_deb_dev,$(1)).install)

# Specify the type of files/links to install.
# Special cases first, then general rule
boost_filetypes_exception = a cmake
boost_filetypes_test_exec_monitor = a cmake
boost_filetypes = $(if $(boost_filetypes_$(1)), $(boost_filetypes_$(1)),a so ln cmake)

# Function that updates debhelper files for a given library
# Input: component, library, suffix
# Output: none
mk_files = $(foreach fn,$(call boost_filetypes,$(2)),$(call mk_$(fn)_files,$(1),$(2),$(3)))

# helpers to make and install lintian override files

# Input: package, override
add_override = echo $(1): $(2) >> debian/$(1).lintian-overrides;

# Input: override
add_dev_override = $(call add_override,libboost$(PKGVERSION)-dev,$(1))
add_doc_override = $(call add_override,libboost$(PKGVERSION)-doc,$(1))

# Input: component, lintian-warning
add_lib_override = $(call add_override,$(call mk_pkg_lib,$(1)),$(2))
add_libdev_override = $(call add_override,$(call mk_pkg_dev,$(1)),$(2))

# Input: package-name-base, versioned-package-name
cp_debhelper = set -e ; for s in doc-base examples postinst prerm README.Debian; do \
	if test -f debian/$(1).$$s; then cp -f debian/$(1).$$s debian/$(2).$$s; fi; done

# Function that updates debhelper files for all libraries shipped.
mk_debhelper_files = \
	$(call add_dev_override,extra-license-file) \
	$(call add_doc_override,extra-license-file) \
	$(foreach l, $(boost_libs), \
		echo "making debhelper files for $(l)..."; \
		$(call add_lib_override,$(l),package-name-doesnt-match-sonames) \
		$(foreach ll, $(call boost_lib,$(l)), \
			$(foreach suf, $(call boost_suffixes,$(l)), \
				$(call mk_files,$(l),$(ll),$(suf)) \
			) \
		) \
	)

TOOLSET_CONFIG = 'using gcc : : : <compileflags>"$(CPPFLAGS)" <cflags>"$(CFLAGS)" <cxxflags>"$(CXXFLAGS) -Wno-unused-local-typedefs" <linkflags>"$(LDFLAGS)" ;'
BUILD_CONTEXT = yes
BUILD_LONG_DOUBLE = yes
BUILD_NUMPY = yes

ifeq ($(DEB_VENDOR)-$(DEB_HOST_ARCH),Ubuntu-i386)
BUILD_CONTEXT = no
BUILD_NUMPY = no
endif

# Disable long double on some architectures
ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm armel armhf arm64 ppc64el hppa mips mipsel sh4 powerpc ppc64))
BUILD_LONG_DOUBLE = no
endif

# Disable context, coroutine, fiber on some architectures
ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa ia64 m68k mips64 powerpcspe s390 sh4 sparc sparc64 x32))
BUILD_CONTEXT = no
endif

ifeq ($(DEB_BUILD_ARCH), arm64)
JAM_OPT += pch=off
endif

# we dsable stacktrace from exceptions on some platforms due to possible memory leaks. See #1102107
ifneq (,$(filter $(DEB_HOST_ARCH), i386 alpha hppa m68k sh4))
JAM_OPT += boost.stacktrace.from_exception=off
endif

# if we're building with context, coroutine, fiber, add the libraries to the list
ifeq ($(BUILD_CONTEXT), yes)
boost_libs += context coroutine fiber
else
JAM_WITHOUT += --without-context --without-coroutine --without-fiber
endif

# if we're building with long double, add the libraries to the list
ifeq ($(BUILD_LONG_DOUBLE), yes)
boost_lib_math += $(boost_lib_math_long_double)
else
JAM_OPT += --disable-long-double
endif

# if we're building with numpy, add the libraries to the list
ifeq ($(BUILD_NUMPY), yes)
boost_libs += numpy
endif

exampledir = debian/libboost$(PKGVERSION)-doc/usr/share/doc/libboost$(PKGVERSION)-doc/examples
b2 = $(CURDIR)/b2
bbv2dir = $(CURDIR)/tools/build

# With --ignore-site-config, can probably drop Build-Conflicts on boost-build.
